See Stacksync in action with a solution architect. Book a demo ↗
WorkflowsRuns

Workflow runs

Get export capabilities

GET
/v1/workspaces/{workspace_id}/workflows/id/{workflow_id}/executions/export-capabilities

Whether the workspace stores plaintext logs (an export then always includes the step logs) and the export limits.

Authorization

Authorizationstringheaderrequired

Bearer <key>, where <key> is a workspace API key or a user API key. See Authentication.

Path Parameters

workspace_id*integer

The workspace. List the ones your key can reach with GET /v1/workspaces.

workflow_id*string

The workflow.

Formatuuid

Query Parameters

region?|

Region of the workflow: besg or usnv. Required, except when List workflow runs reads several workflows through options.workflows

Defaultnull

Response Body

OK

application/json
  1. response
plaintext_logs_enabled*Plaintext Logs Enabled
max_rows*Max Rows
max_executions_with_logs*Max Executions With Logs
Get export capabilities
curl -X GET 'https://api.stacksync.com/v1/workspaces/0/workflows/id/497f6eca-6276-4993-bfeb-53cbbbba6f08/executions/export-capabilities'
{  "plaintext_logs_enabled": false,  "max_rows": 0,  "max_executions_with_logs": 0}